<?php

namespace Modules\Reports\Generations;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		$cols = \App\Mvc\View\Utils\Types\ListingColumns::create();

		$cols->append( \App\Mvc\View\Utils\Types\ListingColumn::create('name')->setSortable('ASC') );
		$cols->append( \App\Mvc\View\Utils\Types\ListingColumn::create('source') );
		$cols->append( \App\Mvc\View\Utils\Types\ListingColumn::create('idUser')->setType('userLabel') );
		$cols->append( \App\Mvc\View\Utils\Types\ListingColumn::create('startTime')->setSortable('ASC') );
		$cols->append( \App\Mvc\View\Utils\Types\ListingColumn::create('status') );
		$cols->append( \App\Mvc\View\Utils\Types\ListingColumn::create('progress') );
		$cols->append( \App\Mvc\View\Utils\Types\ListingColumn::create('id')->setSortable('ASC') );

		$cols->loadLabels($this->lang['index']['listingColumns']);
		$cols->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());

		return $cols;
	}
}
